<template>
  <div class="job-details">
    <AtomHeadline type="h4" text="JOB DETAILS" />
    <MoleculeInputField
      inputHeader="Job title"
      :inputValue="jobTitle"
      @handle-input-change="setJobTitle"
      class="job-title"
    />
    <div class="search">
      <p class="input-header">Classification</p>
      <MoleculeSearchInput />
    </div>
    <div class="search">
      <p class="input-header">Job location</p>
      <MoleculeSearchInput />
    </div>
    <div>
      <input
        type="checkbox"
        value="remote"
        id="remote"
        v-model="isRemoteAvailable"
      />
      <label class="label" for="remote"
        >Remote working is available for this job</label
      >
    </div>
    <div class="search">
      <p class="input-header">Job type</p>
      <MoleculeSearchInput />
    </div>
    <div class="text-area">
      <p class="input-header">Job Description</p>
      <AtomTextarea v-model="jobDescription" />
    </div>
  </div>
  <div class="application-redirect">
    <AtomHeadline type="h4" text="APPLICATIONS SHOULD BE DIRECTED TO" />
    <MoleculeInputField
      inputHeader="Email or Application Form URL"
      :inputValue="redirectionInfo"
      @handle-input-change="setRedirectionInfo"
      class="job-title"
    />
  </div>
</template>

<script lang="ts" setup>
import { ref } from "vue";

const jobTitle = ref("");
const isRemoteAvailable = ref();
const jobDescription = ref("");
const redirectionInfo = ref("");

const setJobTitle = (value) => (jobTitle.value = value);
const setRedirectionInfo = (value) => (redirectionInfo.value = value);

const emit = defineEmits([
  "emitJobTitle",
  "emitIsRemoteAvailable",
  "emitJobDescription",
  "emitRedirectionInfo",
]);
watch(jobTitle, () => {
  emit("emitJobTitle", jobTitle);
});
watch(isRemoteAvailable, () => {
  emit("emitIsRemoteAvailable", isRemoteAvailable);
});
watch(jobDescription, () => {
  emit("emitJobDescription", jobDescription);
});
watch(redirectionInfo, () => {
  emit("emitRedirectionInfo", redirectionInfo);
});
</script>

<style lang="scss" scoped>
.job-details {
  @apply pb-4;
}
.job-title {
  @apply pt-2;
}
.search {
  @apply lg:flex lg:items-center pt-2;
}
.label {
  @apply pl-2;
}
.input-header {
  @apply pb-1 lg:pr-2;
}
.text-area {
  @apply lg:flex lg:items-center py-2;
}
.application-redirect {
  @apply pb-4;
}
</style>